Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.labkey.remoteapi.query
Class GetQueryDetailsResponse.Lookup

    java.lang.Object
      org.labkey.remoteapi.ResponseObject
          org.labkey.remoteapi.query.GetQueryDetailsResponse.Lookup

Enclosing class:
  GetQueryDetailsResponse

    public static class GetQueryDetailsResponse.Lookup

extends ResponseObject

Field Summary

Fields inherited from class org.labkey.remoteapi.ResponseObject
`_allProperties`

Constructor Summary
`GetQueryDetailsResponse.Lookup(java.util.Map<java.lang.String,java.lang.Object> json)`

Method Summary
`java.lang.String` | `getContainerPath()`
`java.lang.String` | `getDisplayColumn()`
`java.lang.String` | `getKeyColumn()`
`java.lang.String` | `getQueryName()`
`java.lang.String` | `getSchemaName()`
`boolean` | `isPublic()`

Methods inherited from class org.labkey.remoteapi.ResponseObject
`getAllProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetQueryDetailsResponse.Lookup

    public GetQueryDetailsResponse.Lookup(java.util.Map<java.lang.String,java.lang.Object> json)

Method Detail

### getSchemaName

    public java.lang.String getSchemaName()

  Returns:
    The schema in which the lookup query exists

### getQueryName

    public java.lang.String getQueryName()

  Returns:
    The name of the lookup query in that schema

### getContainerPath

    public java.lang.String getContainerPath()

  Returns:
    The container path if the lookup is defined in a different container

### getDisplayColumn

    public java.lang.String getDisplayColumn()

  Returns:
    The column that is normally displayed form the lookup table

### getKeyColumn

    public java.lang.String getKeyColumn()

  Returns:
    The primary key column of the lookup table

### isPublic

    public boolean isPublic()

  Returns:
    true if the lookup table is public (i.e., may be accessed via the API)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD